---
title: 'HTML attribute: crossorigin'
slug: Web/HTML/Attributes/crossorigin
tags:
  - Advanced
  - Attribute
  - CORS
  - HTML
  - NeedsContent
  - Reference
  - Security
---
<div>{{draft}}</div>

<p class="seoSummary">The crossorigin attribute, valid on the {{ HTMLElement("audio") }}, {{ HTMLElement("img") }}, {{ HTMLElement("link") }}, {{ HTMLElement("script") }}, and {{ HTMLElement("video") }} elements, provides support for <a href="/en-US/docs/Web/HTTP/CORS">CORS</a>, defining how the element handles crossorigin requests, thereby enabling the configuration of the CORS requests for the element's fetched data. Depending on the element, the attribute can be a CORS settings attribute.</p>

<p>The <code>crossorigin</code> content attribute on media elements is a CORS settings attribute.</p>

<p>These attributes are enumerated, and have the following possible values:</p>

<table class="standard-table">
	<tbody>
		<tr>
			<td class="header">Keyword</td>
			<td class="header">Description</td>
		</tr>
		<tr>
			<td><code>anonymous</code></td>
			<td>CORS requests for this element will have the credentials flag set to 'same-origin'.</td>
		</tr>
		<tr>
			<td><code>use-credentials</code></td>
			<td>CORS requests for this element will have the credentials flag set to 'include'.</td>
		</tr>
		<tr>
			<td><code>""</code></td>
			<td>Setting the attribute name to an empty value, like <code>crossorigin</code> or <code>crossorigin=""</code>, is the same as <code>anonymous</code>.</td>
		</tr>
	</tbody>
</table>

<p>By default (that is, when the attribute is not specified), CORS is not used at all. The "anonymous" keyword means that there will be no exchange of <strong>user credentials</strong> via cookies, client-side SSL certificates or HTTP authentication as described in the <a class="external" href="http://www.w3.org/TR/cors/#user-credentials">Terminology section of the CORS specification</a>, unless it is in the same origin.</p>

<p>An invalid keyword and an empty string will be handled as the <code>anonymous</code> keyword.</p>

<div class="notecard note">
<p>Prior to Firefox 83 the <code>crossorigin</code> attribute was not supported for <code>rel="icon"</code> there is also <a href="https://bugs.chromium.org/p/chromium/issues/detail?id=1121645">an open issue for Chrome</a>.</p>
</div>

<h3 id="Example_crossorigin_with_the_script_element">Example: crossorigin with the script element</h3>

<p>You can use the following {{HTMLElement("script")}} element to tell a browser to execute the <code>https://example.com/example-framework.js</code> script without sending user-credentials.</p>

<pre class="brush: html notranslate">&lt;script src="https://example.com/example-framework.js" crossorigin="anonymous"&gt;&lt;/script&gt;</pre>

<h3 id="Example_Webmanifest_with_credentials">Example: Webmanifest with credentials</h3>

<p>The <code>use-credentials</code> value must be used when fetching a <a href="/en-US/docs/Web/Manifest">manifest</a> that requires credentials, even if the file is from the same origin.</p>

<pre class="brush: html notranslate">&lt;link rel="manifest" href="/app.webmanifest" crossorigin="use-credentials"&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('HTML WHATWG', 'infrastructure.html#cors-settings-attributes', 'CORS settings attributes')}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td></td>
		</tr>
		<tr>
			<td>{{SpecName('HTML WHATWG', 'embedded-content.html#attr-img-crossorigin', 'crossorigin')}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="&lt;script_crossorigin&gt;">&lt;script crossorigin&gt;</h3>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("html.elements.script.crossorigin")}}</p>

<h3 id="&lt;video_crossorigin&gt;">&lt;video crossorigin&gt;</h3>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("html.elements.video.crossorigin")}}</p>

<h3 id="&lt;link_crossorigin&gt;">&lt;link crossorigin&gt;</h3>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("html.elements.link.crossorigin")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/HTTP/CORS">Cross-Origin Resource Sharing (CORS)</a></li>
	<li><a href="/en-US/docs/Web/HTML/Attributes/rel">HTML attribute: <code>rel</code></a></li>
</ul>

<div>{{QuickLinksWithSubpages("/en-US/docs/Web/HTML/")}}</div>
